<template>
  <q-page padding>
    <div class="text-h5 q-mb-md">Creacion de eventos</div>

    <q-card v-if="eventoArea === ''">
      <q-list>
        <q-item tag="label" v-ripple clickable @click="setArea('AMS')">
          <q-item-section top avatar>
            <q-avatar>
              <img :src="'/img/areas/ams.svg'" width="50" height="50" />
            </q-avatar>
          </q-item-section>
          <q-item-section>
            <q-item-label>Adultos en el Movimiento</q-item-label>
            <q-item-label caption>
              Inscripciones vinculadas a formacion, en su mayoria a experiencias
              de formacion y el CADA
            </q-item-label>
          </q-item-section>
        </q-item>

        <q-item tag="label" v-ripple clickable @click="setArea('JUVENTUD')">
          <q-item-section top avatar>
            <q-avatar>
              <img :src="'/img/areas/juventud.svg'" width="50" height="50" />
            </q-avatar>
          </q-item-section>
          <q-item-section>
            <q-item-label>Juventudes</q-item-label>
            <q-item-label caption>
              Permite crear inscripciones que permiten la inscripcion de
              beneficiarios, por ejemplo un FORO
            </q-item-label>
          </q-item-section>
        </q-item>

        <q-item tag="label" v-ripple clickable @click="setArea('PROGRAMA')">
          <q-item-section top avatar>
            <q-avatar>
              <img :src="'/img/areas/programa.svg'" width="50" height="50" />
            </q-avatar>
          </q-item-section>
          <q-item-section>
            <q-item-label>Programa</q-item-label>
            <q-item-label caption>
              Permite crear inscripciones que permiten la inscripcion de
              beneficiarios, por ejemplo un Campamento
            </q-item-label>
          </q-item-section>
        </q-item>
      </q-list>
    </q-card>

    <div v-if="eventoArea !== ''">
      <FormularioEvento :area="eventoArea" />
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';
import FormularioEvento from './_FormularioPartial.vue';
export default defineComponent({
  name: 'EventosCreacionPage',
  components: { FormularioEvento },
  setup() {
    const eventoArea = ref<string>('');

    function setArea(value: string) {
      eventoArea.value = value;
    }

    return {
      eventoArea,
      setArea,
    };
  },
});
</script>
